%define api		0
%define major		0
%define libname		%mklibname xfce4windowing %{api} %{major}
%define libnameui	%mklibname xfce4windowingui %{api} %{major}
%define girname		%mklibname xfce4windowing-gir %{api}.%{major}
%define girnameui	%mklibname xfce4windowingui-gir %{api}.%{major}
%define devname		%mklibname xfce4windowing -d

%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		libxfce4windowing
Summary:	Windowing concept abstraction library for X11 and Wayland
Version:	4.20.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		Graphical desktop/Xfce
Url:		https://gitlab.xfce.org/xfce/libxfce4windowing
Source0:	https://archive.xfce.org/src/xfce/libxfce4windowing/%{url_ver}/libxfce4windowing-%{version}.tar.bz2
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gdk-wayland-3.0)
BuildRequires:	pkgconfig(gdk-x11-3.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libdisplay-info)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-protocols)
BuildRequires:	pkgconfig(wayland-scanner)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xrandr)

%description
Libxfce4windowing is an abstraction library that attempts to present windowing
concepts (screens, toplevel windows, workspaces, etc.) in a
windowing-system-independent manner.

Currently, X11 is fully supported, via libwnck. Wayland is partially supported,
through various Wayland protocol extensions. However, the full range of
operations available on X11 is not available on Wayland, due to missing
features in these protocol extensions.

%package i18n
Summary:	Internationalization and locale data for %{name}
Group:		System/Internationalization

%description i18n
This package contains the localizations for %{name}.

%package -n %{libname}
Summary:	X11/Wayland windowing utility library for Xfce
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n %{libname}
Libxfce4windowing is an abstraction library that attempts to present windowing
concepts (screens, toplevel windows, workspaces, etc.) in a
windowing-system-independent manner.

%package -n %{libnameui}
Summary:	X11/Wayland windowing utility library for Xfce - extra widgets
Group:		System/Libraries

%description -n %{libnameui}
Libxfce4windowingui is a UI widget utility library that makes use of
libxfce4windowing primitives.

%package -n %{girname}
Summary:	GObject Introspection interface description for Libxfce4windowing
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for Libxfce4windowing.

%package -n %{girnameui}
Summary:	GObject Introspection interface description for Libxfce4windowingui
Group:		System/Libraries
Requires:	%{libnameui} = %{version}-%{release}

%description -n %{girnameui}
GObject Introspection interface description for Libxfce4windowingui.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnameui} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Requires:	%{girnameui} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	xfce4windowing-devel = %{version}-%{release}

%description -n %{devname}
Libxfce4windowing is an abstraction library that attempts to present windowing
concepts (screens, toplevel windows, workspaces, etc.) in a
windowing-system-independent manner.

Currently, X11 is fully supported, via libwnck. Wayland is partially supported,
through various Wayland protocol extensions. However, the full range of
operations available on X11 is not available on Wayland, due to missing
features in these protocol extensions.

%prep
%autosetup -p1

%build
%xdt_autogen
%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files i18n -f %{name}.lang

%files -n %{libname}
%license COPYING
%{_libdir}/libxfce4windowing-%{api}.so.%{major}{,.*}

%files -n %{libnameui}
%license COPYING
%{_libdir}/libxfce4windowingui-%{api}.so.%{major}{,.*}

%files -n %{girname}
%license COPYING
%{_libdir}/girepository-1.0/Libxfce4windowing-%{api}.%{major}.typelib

%files -n %{girnameui}
%license COPYING
%{_libdir}/girepository-1.0/Libxfce4windowingui-%{api}.%{major}.typelib

%files -n %{devname}
%doc NEWS README*
%doc %{_datadir}/gtk-doc/html/libxfce4windowing{,ui}/
%dir %{_includedir}/xfce4/
%{_includedir}/xfce4/libxfce4windowing{,ui}/
%{_libdir}/libxfce4windowing{,ui}-%{api}.so
%{_libdir}/pkgconfig/libxfce4windowing{,ui,-x11}-%{api}.pc
%{_datadir}/gir-1.0/Libxfce4windowing-%{api}.%{major}.gir
%{_datadir}/gir-1.0/Libxfce4windowingui-%{api}.%{major}.gir


%changelog
* Sun Dec 15 2024 wally <wally> 4.20.0-1.mga10
+ Revision: 2125164
- new version 4.20.0

* Fri Nov 01 2024 wally <wally> 4.19.9-1.mga10
+ Revision: 2112070
- new version 4.19.9

* Wed Oct 23 2024 wally <wally> 4.19.8-1.mga10
+ Revision: 2110951
- new version 4.19.8

* Thu Oct 10 2024 wally <wally> 4.19.7-1.mga10
+ Revision: 2104565
- new version 4.19.7

* Mon Oct 07 2024 wally <wally> 4.19.6-1.mga10
+ Revision: 2104042
- new version 4.19.6

* Thu Oct 03 2024 wally <wally> 4.19.5-1.mga10
+ Revision: 2102948
- new version 4.19.5

* Sun Apr 21 2024 wally <wally> 4.19.3-1.mga10
+ Revision: 2060302
- new version 4.19.3

* Wed Jan 11 2023 wally <wally> 4.19.1-1.mga9
+ Revision: 1932357
- new version 4.19.1

* Fri Jan 06 2023 wally <wally> 4.19.0-1.mga9
+ Revision: 1930682
- imported package libxfce4windowing

